h07047
s 00004/00004/00040
d D 1.3 83/02/16 17:21:13 mjb 3 2
c changed to put cursor up on legend in moving legends
e
s 00002/00002/00042
d D 1.2 83/02/14 15:39:50 mjb 2 1
c changed position of initial cursor 
e
s 00044/00000/00000
d D 1.1 83/02/09 21:52:44 tes 1 0
c date and time created 83/02/09 21:52:44 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine mnumvl (item)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Move Legend menu manager                               #
#                                                                      #
#     Input Parameters:                                                #
#            item  - selected menu item                                #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
SHORTINT item

integer nkey, xin, xout, yin, yout

include(`gphcom')

D 2
   xin = 16384
   yin = 16384
E 2
I 2
D 3
   xin = 13107
   yin = 19660
E 3
I 3
   xin = zlegxy(1)*26585./100.
   yin = (zlegxy(2)*25943./100.) + 6825
E 3
E 2

   call apmesg (POSITIONxCURSORxFORxLEGEND, 0)
   call locate (xin, yin, xout, yout, nkey)
   call dlmesg (POSITIONxCURSORxFORxLEGEND)
   if (xout > 26585) xout = 26585
   if (yout < 6825) yout = 6825
D 3
   zlegxy(1) = (float(xout)/26585)*100.
   zlegxy(2) = (float(yout-6825)/25943)*100.
E 3
I 3
   zlegxy(1) = (float(xout)/26585.)*100.
   zlegxy(2) = (float(yout-6825)/25943.)*100.
E 3
   call clrscr
   mid = lastid

   return
end
E 1
